#-------------------------------------------------------------------------------
import data
import pygame
import config

#-------------------------------------------------------------------------------
def init():
    player = pygame.image.load( 
        data.filepath( "gfx/spr_main.png" ) ).convert()
    player.set_colorkey( config.COLOR_KEY )
    m_bitmaps[ 'player' ] = player

    m_bitmaps[ 'obj01' ] = pygame.image.load( 
        data.filepath( "gfx/spr_obj01.png" ) )
    objects = m_bitmaps[ 'obj01' ]
    objects.set_colorkey( config.COLOR_KEY )
    
    string = pygame.Surface( (17*32,32) ).convert()
    string.fill( config.COLOR_KEY )
    for i in range(0,17):
        rectSrc = pygame.Rect( 4*32, 0, 32, 32 )
        rectDst = pygame.Rect( i*32, 0, 32, 32 )
        string.blit( objects, rectDst, rectSrc )
    string.set_colorkey( config.COLOR_KEY )
    m_bitmaps[ 'stringH' ] = string

    string = pygame.Surface( (32, 15*32) ).convert()
    string.fill( config.COLOR_KEY )
    for i in range(0,15):
        rectSrc = pygame.Rect( 5*32, 0, 32, 32 )
        rectDst = pygame.Rect( 0, i*32, 32, 32 )
        string.blit( objects, rectDst, rectSrc )
    string.set_colorkey( config.COLOR_KEY )
    m_bitmaps[ 'stringV' ] = string

    string = pygame.Surface( (17*32,32) ).convert()
    string.fill( config.COLOR_KEY )
    for i in range(0,17):
        rectSrc = pygame.Rect( 8*32, 0, 32, 32 )
        rectDst = pygame.Rect( i*32, 0, 32, 32 )
        string.blit( objects, rectDst, rectSrc )
    string.set_colorkey( config.COLOR_KEY )
    m_bitmaps[ 'stringBurnedH' ] = string

    string = pygame.Surface( (32, 15*32) ).convert()
    string.fill( config.COLOR_KEY )
    for i in range(0,15):
        rectSrc = pygame.Rect( 9*32, 0, 32, 32 )
        rectDst = pygame.Rect( 0, i*32, 32, 32 )
        string.blit( objects, rectDst, rectSrc )
    string.set_colorkey( config.COLOR_KEY )
    m_bitmaps[ 'stringBurnedV' ] = string

#-------------------------------------------------------------------------------
def get( name ):
    assert m_bitmaps.has_key( name ), "Bitmap isn't loaded"
    return m_bitmaps[ name ]

#-------------------------------------------------------------------------------
m_bitmaps = {}
